package cn.iocoder.yudao.module.system.config;

import cn.iocoder.yudao.module.system.service.tool.ToolsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class SystemApplicationRunner implements ApplicationRunner {

    @Resource
    private ToolsService toolsService;

    @Override
    public void run(ApplicationArguments args) {
        /*try {
            toolsService.simulationPose();
        } catch (Exception e) {
            log.error("同步仿真的点位信息失败 :{}",e.getMessage());
        }*/
    }
}
